﻿using CoreGraphics;
using Foundation;
using Syncfusion.iOS.DataForm;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using UIKit;

namespace NativeiOS
{
    public partial class ViewController1 : UIViewController
    {
        SfDataForm dataForm;
        public ViewController1() : base("ViewController1", null)
        {
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
            UIStackView stack = new UIStackView();
            dataForm = new SfDataForm();
            dataForm.DataObject = new DataFormModel();
            dataForm.Frame = new CGRect(0, 100, 400, 1000);

            UIButton button = new UIButton();
            button.SetTitle("Submit", UIControlState.Normal);
            button.TouchUpInside += Button_TouchUpInside;
            button.Frame = new CGRect(0, 40, 400, 50);
            button.BackgroundColor = UIColor.Gray;
            stack.AddSubview(button);
            stack.AddSubview(dataForm);

            this.View.AddSubview(button);
            this.View.AddSubview(dataForm);   
        }

        private void Button_TouchUpInside(object sender, EventArgs e)
        {
            var model = dataForm.DataObject as DataFormModel;
            model.Name = "Jhon";
            dataForm.UpdateEditor("Name");
            //await AppDelegate.Database.SaveItemAsync(model);
        }
    }
}